import React from "react";
import { mount } from "enzyme";
import sinon from "sinon";
import Dropdown from "./Dropdown";
describe("Dropdown", function () {
  var props = {};
  var testOptions = [{
    value: "dog",
    label: "Dog"
  }, {
    value: "cat",
    label: "Cat"
  }, {
    value: "giraffe",
    label: "Giraffe"
  }];
  beforeEach(function () {
    props.onChange = sinon.spy();
    props.value = testOptions[0].value;
    props.options = testOptions;
  });
  it("should render a select dropdown", function () {
    var wrapper = mount(React.createElement(Dropdown, props));
    expect(wrapper.find("Select")).to.have.length(1);
  });
});